// in.cpp
// CGI script for topsites
// by Ben Congleton
// converted to C++ by Kevin Ferguson
// (c) 1999 Nethernet

#include <cstdlib>
#include <iostream.h>
#include <string>

using namespace std;

string const ac_dir( "../data/accounts" );
string const defaults( "default.txt" );
string const bottom( "http://208.231.28.230" );
string const top( "http://208.231.28.230/c/top.htm" );
string const frame_title( "Warezlist" );

class In {
public:
  In( void );
protected:
  string account;
};

In::In( void ) :
  account( getenv( "PATH_INFO" ) ) {
  int pos;

  account.erase( 0, account.find( "/" ) + 1 );
  if( (pos = account.find( "/" )) >= 0 ) 
    account.erase( pos, account.size() );

  unsigned i;
  
  for( i = 0; i < account.size(); i++ )
    if( !isdigit( account[i] ) && !isalpha( account[i] ) )
      account.erase( i, 1 );

  cout
    << "Set-Cookie: nn_topsites="
    << account
    << "; path=/;" << endl
    << "Content-type: text/html" << endl << endl;

  cout
    << "<title>" << frame_title << "</title>" << endl
    << "<frameset rows=\"*,100%%\" framespacing=\"0\" border=\"false\" frameborder=\"0\">" << endl
    << "<frame name=\"rtop\" target=\"_top\" scrolling=\"no\" src=\"" << top << "\" noresize>" << endl
    << "<frame name=\"bottom\" target=\"_top\" src=\"" << bottom << "\">" << endl
    << "<noframes>" << endl
    << "<body>" << endl
    << "<p>This page uses frames, but your browser doesn't support them. GO HERE <a href=\"" << bottom << "\"> To visit the site</a></p>" << endl
    << "</body>" << endl
    << "</noframes>" << endl
    << "</frameset>" << endl;
}

int main( void ) {
  In in;
}



